# HG changeset patch
# Node ID c44780be95459b1edad322ac4df0099298ebb500
# Parent  310d3d474f8cee38f7808d6e2350c98dbbb6fe76
diff --git a/libpurple/purpleaccountmanager.c b/libpurple/purpleaccountmanager.c
--- a/libpurple/purpleaccountmanager.c
+++ b/libpurple/purpleaccountmanager.c
@@ -233,7 +233,7 @@
 	/**
 	 * PurpleAccountManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -245,7 +245,7 @@
 	/**
 	 * PurpleAccountManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplebadges.c b/libpurple/purplebadges.c
--- a/libpurple/purplebadges.c
+++ b/libpurple/purplebadges.c
@@ -147,7 +147,7 @@
 	/**
 	 * PurpleBadges:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -159,7 +159,7 @@
 	/**
 	 * PurpleBadges:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplecontactmanager.c b/libpurple/purplecontactmanager.c
--- a/libpurple/purplecontactmanager.c
+++ b/libpurple/purplecontactmanager.c
@@ -280,7 +280,7 @@
 	/**
 	 * PurpleContactManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -293,7 +293,7 @@
 	/**
 	 * PurpleContactManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purpleconversationmembers.c b/libpurple/purpleconversationmembers.c
--- a/libpurple/purpleconversationmembers.c
+++ b/libpurple/purpleconversationmembers.c
@@ -205,7 +205,7 @@
 	/**
 	 * PurpleConversationMembers:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -217,7 +217,7 @@
 	/**
 	 * PurpleConversationMembers:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplefiletransfermanager.c b/libpurple/purplefiletransfermanager.c
--- a/libpurple/purplefiletransfermanager.c
+++ b/libpurple/purplefiletransfermanager.c
@@ -150,7 +150,7 @@
 	/**
 	 * PurpleFileTransferManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -163,7 +163,7 @@
 	/**
 	 * PurpleFileTransferManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplemessages.c b/libpurple/purplemessages.c
--- a/libpurple/purplemessages.c
+++ b/libpurple/purplemessages.c
@@ -208,7 +208,7 @@
 	/**
 	 * PurpleMessages:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -220,7 +220,7 @@
 	/**
 	 * PurpleMessages:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplenotificationmanager.c b/libpurple/purplenotificationmanager.c
--- a/libpurple/purplenotificationmanager.c
+++ b/libpurple/purplenotificationmanager.c
@@ -222,7 +222,7 @@
 	/**
 	 * PurpleNotificationManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -235,7 +235,7 @@
 	/**
 	 * PurpleNotificationManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purpleperson.c b/libpurple/purpleperson.c
--- a/libpurple/purpleperson.c
+++ b/libpurple/purpleperson.c
@@ -382,7 +382,7 @@
 	/**
 	 * PurplePerson:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -395,7 +395,7 @@
 	/**
 	 * PurplePerson:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplepresencemanager.c b/libpurple/purplepresencemanager.c
--- a/libpurple/purplepresencemanager.c
+++ b/libpurple/purplepresencemanager.c
@@ -445,7 +445,7 @@
 	/**
 	 * PurplePresenceManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -457,7 +457,7 @@
 	/**
 	 * PurplePresenceManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purpleprotocolmanager.c b/libpurple/purpleprotocolmanager.c
--- a/libpurple/purpleprotocolmanager.c
+++ b/libpurple/purpleprotocolmanager.c
@@ -141,7 +141,7 @@
 	/**
 	 * PurpleProtocolManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -154,7 +154,7 @@
 	/**
 	 * PurpleProtocolManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/purplewhiteboardmanager.c b/libpurple/purplewhiteboardmanager.c
--- a/libpurple/purplewhiteboardmanager.c
+++ b/libpurple/purplewhiteboardmanager.c
@@ -140,7 +140,7 @@
 	/**
 	 * PurpleWhiteboardManager:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -153,7 +153,7 @@
 	/**
 	 * PurpleWhiteboardManager:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/request/purplerequestgroup.c b/libpurple/request/purplerequestgroup.c
--- a/libpurple/request/purplerequestgroup.c
+++ b/libpurple/request/purplerequestgroup.c
@@ -194,7 +194,7 @@
 	/**
 	 * PurpleRequestGroup:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -207,7 +207,7 @@
 	/**
 	 * PurpleRequestGroup:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/libpurple/request/purplerequestpage.c b/libpurple/request/purplerequestpage.c
--- a/libpurple/request/purplerequestpage.c
+++ b/libpurple/request/purplerequestpage.c
@@ -187,7 +187,7 @@
 	/**
 	 * PurpleRequestPage:item-type:
 	 *
-	 * The type of items. See [iface@Gio.ListModel.get_item_type].
+	 * The type of items. See [vfunc@Gio.ListModel.get_item_type].
 	 *
 	 * Since: 3.0
 	 */
@@ -200,7 +200,7 @@
 	/**
 	 * PurpleRequestPage:n-items:
 	 *
-	 * The number of items. See [iface@Gio.ListModel.get_n_items].
+	 * The number of items. See [vfunc@Gio.ListModel.get_n_items].
 	 *
 	 * Since: 3.0
 	 */
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -230,7 +230,7 @@
 	pidgin_gir = gnome.generate_gir(libpidgin,
 		sources : introspection_sources,
 		header : 'pidgin.h',
-		includes : ['GLib-2.0', 'GObject-2.0', 'Gtk-4.0', libpurple_gir[0]],
+		includes : ['Adw-1', 'GLib-2.0', 'GObject-2.0', 'Gtk-4.0', libpurple_gir[0]],
 		namespace : 'Pidgin',
 		symbol_prefix : 'pidgin',
 		identifier_prefix : 'Pidgin',
diff --git a/subprojects/gi-docgen.wrap b/subprojects/gi-docgen.wrap
--- a/subprojects/gi-docgen.wrap
+++ b/subprojects/gi-docgen.wrap
@@ -1,5 +1,5 @@
 [wrap-file]
-directory = gi-docgen-2023.1
-source_url = https://download.gnome.org/sources/gi-docgen/2023/gi-docgen-2023.1.tar.xz
-source_filename = gi-docgen-2023.1.tar.xz
-source_hash = a9a687c1b7c4a4139a214bd451e01ca86131a3161f68aa3e07325b06002bbfb6
+directory = gi-docgen-2024.1
+source_url = https://download.gnome.org/sources/gi-docgen/2024/gi-docgen-2024.1.tar.xz
+source_filename = gi-docgen-2024.1.tar.xz
+source_hash = 870c77f9620462cce49e35542a42dc1612fc858733e83dbbe248c535458aec1e
